## f_error

The f_error tests for an error on a file.

    int f_error (
      FIL* fp   /* [IN] File object */
    );

#### Parameters

fp
  Pointer to the open file object structure.

#### Return Values

Returns a non-zero value if a hard error has occured; otherwise it returns a zero.

#### Description

In this revision, this function is implemented as a macro. It does not have any validation and mutual exclusion.

    #define f_error(fp) ((fp)->err)

#### QuickInfo

Always available.

#### See Also

`f_open, FIL`

Return